Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class PojoInstance

    java.lang.Object
      org.jboss.cache.pojo.impl.PojoInstance

All Implemented Interfaces:
  Serializable

    public class PojoInstance

extends Object
implements Serializable

POJO class metadata information. When an object is looked up or put in PojoCache, this object will be advised with a CacheFieldInterceptor. The underlying cache stores a reference to this object (for example to update the instance variables, etc.). Since this reference need to be transactional but never replicated (the reference is only valid within the VM this reference is thus stored into an PojoReference (as a transient field). In addition, this instance also serves as a metadata for PojoCache. E.g., it has a reference counting for multiple references and reference FQN.

Author:
  Ben Wang
See Also:
  Serialized Form

Field Summary
`static int` | `INITIAL_COUNTER_VALUE`
`static String` | `KEY`

Constructor Summary
`PojoInstance()`
`PojoInstance(Object instance)`

Method Summary
`void` | `addXFqnIntoList(org.jboss.cache.Fqn fqn)`
`int` | `decrementRefCount(org.jboss.cache.Fqn sourceFqn)`
`Object` | `get()`
`org.jboss.cache.Fqn` | `getAndRemoveFirstFqnInList()`
`String` | `getInternalFqn()`
`Class` | `getPojoClass()`
`int` | `getRefCount()`
`List<org.jboss.cache.Fqn>` | `getReferences()`
`int` | `incrementRefCount(org.jboss.cache.Fqn sourceFqn)`
`void` | `removeInternalFqn()`
`void` | `set(Object instance)`
`void` | `setInternalFqn(String refFqn)`
`void` | `setPojoClass(Class clazz)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

### INITIAL_COUNTER_VALUE

    public static final int INITIAL_COUNTER_VALUE

See Also:
  Constant Field Values

Constructor Detail

### PojoInstance

    public PojoInstance()

### PojoInstance

    public PojoInstance(Object instance)

Method Detail

### setPojoClass

    public void setPojoClass(Class clazz)

### getPojoClass

    public Class getPojoClass()

### get

    public Object get()

### set

    public void set(Object instance)

### getInternalFqn

    public String getInternalFqn()

### setInternalFqn

    public void setInternalFqn(String refFqn)

### removeInternalFqn

    public void removeInternalFqn()

### incrementRefCount

    public int incrementRefCount(org.jboss.cache.Fqn sourceFqn)

### decrementRefCount

    public int decrementRefCount(org.jboss.cache.Fqn sourceFqn)

### getRefCount

    public int getRefCount()

### getReferences

    public List<org.jboss.cache.Fqn> getReferences()

### getAndRemoveFirstFqnInList

    public org.jboss.cache.Fqn getAndRemoveFirstFqnInList()

### addXFqnIntoList

    public void addXFqnIntoList(org.jboss.cache.Fqn fqn)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.